apiVersion: admissionregistration.k8s.io/v1
kind: ValidatingWebhookConfiguration
metadata:
  annotations:
  creationTimestamp: "2025-10-27T11:31:49Z"
  generation: 2
  name: machine-api-metal3-remediation
  resourceVersion: "9246"
  uid: c79fb8e8-156a-499f-920a-9e10d70e0dfb
webhooks:
- admissionReviewVersions:
  - v1
  clientConfig:
    service:
      name: machine-api-operator-machine-webhook
      namespace: openshift-machine-api
      path: /validate-infrastructure-cluster-x-k8s-io-v1beta1-metal3remediation
      port: 443
  failurePolicy: Ignore
  matchPolicy: Equivalent
  name: validation.metal3remediation.k8s.io
  namespaceSelector: {}
  objectSelector: {}
  rules:
  - apiGroups:
    - infrastructure.cluster.x-k8s.io
    apiVersions:
    - v1beta1
    operations:
    - CREATE
    - UPDATE
    resources:
    - metal3remediations
    scope: '*'
  sideEffects: None
  timeoutSeconds: 10
- admissionReviewVersions:
  - v1
  clientConfig:
    service:
      name: machine-api-operator-machine-webhook
      namespace: openshift-machine-api
      path: /validate-infrastructure-cluster-x-k8s-io-v1beta1-metal3remediationtemplate
      port: 443
  failurePolicy: Ignore
  matchPolicy: Equivalent
  name: validation.metal3remediationtemplate.k8s.io
  namespaceSelector: {}
  objectSelector: {}
  rules:
  - apiGroups:
    - infrastructure.cluster.x-k8s.io
    apiVersions:
    - v1beta1
    operations:
    - CREATE
    - UPDATE
    resources:
    - metal3remediationtemplates
    scope: '*'
  sideEffects: None
  timeoutSeconds: 10
